import request from '../request'

const exam={
	//获取顺序练习分类
     studentQuestionInfoSelectSxQuestionInfo(params) {
		return request({
			url: 'student/question/info/selectSxQuestionInfo',
			method: 'get',
			params
		})
	},
	//获取分类专题分类
	studentQuestionInfoSelectFlQuestionInfo(params){
		return request({
			url:"student/question/info/selectFlQuestionInfo",
			method:'get',
			params
		})
	},
	//获取地方题分类
	studentQuestionInfoSelectDfQuestionInfo(params){
		return request({
			url:"student/question/info/selectDfQuestionInfo",
			method:'get',
			params
		})
	},
	//获取精选题目
	studentQuestionInfoSelectJxQuestionInfo(params){
		return request({
			url:"student/question/info/selectJxQuestionInfo",
			method:'get',
			params
		})

	},
	//获取最大成绩，平均成绩，预测成绩
	studentScoreInfoGetScoreInfoAll(params){
		return request({
			url:"student/score/info/getScoreInfoAll",
			method:'get',
			params
		})
	},
	//查询模拟考成绩列表
	studentScoreInfoList(params){
		return request({
			url:"student/score/info/list",
			method:'get',
			params
		})

	},
	//查询模拟考试题库
	studentQuestionInfoSelectTestQuestionInfo(params){
		return request({
			url:"student/question/info/selectTestQuestionInfo",
			method:'get',
			params
		})
	},
	//查询题库
	studentQuestionInfoList(params){
		return request({
			url:"student/question/info/list",
			method:'get',
			params
		})
	}
}

export default exam